<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>teachingConsole</class>
 <widget class="QWidget" name="teachingConsole">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>325</width>
    <height>295</height>
   </rect>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout">
   <item>
    <widget class="QTabWidget" name="tabs">
     <property name="sizePolicy">
      <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
       <horstretch>0</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
     <property name="currentIndex">
      <number>0</number>
     </property>
     <widget class="QWidget" name="selectedTraffic_tab">
      <attribute name="title">
       <string>Selected traffic</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout_2">
       <item>
        <layout class="QHBoxLayout" name="horizontalLayout_2">
         <item>
          <widget class="QLabel" name="selectedCallsign_info">
           <property name="text">
            <string>N/A</string>
           </property>
          </widget>
         </item>
         <item>
          <spacer name="horizontalSpacer_3">
           <property name="orientation">
            <enum>Qt::Horizontal</enum>
           </property>
           <property name="sizeType">
            <enum>QSizePolicy::Fixed</enum>
           </property>
           <property name="sizeHint" stdset="0">
            <size>
             <width>10</width>
             <height>20</height>
            </size>
           </property>
          </spacer>
         </item>
         <item>
          <widget class="QToolButton" name="freezeACFT_button">
           <property name="text">
            <string>Freeze</string>
           </property>
           <property name="checkable">
            <bool>true</bool>
           </property>
          </widget>
         </item>
         <item>
          <spacer name="horizontalSpacer_4">
           <property name="orientation">
            <enum>Qt::Horizontal</enum>
           </property>
           <property name="sizeHint" stdset="0">
            <size>
             <width>40</width>
             <height>20</height>
            </size>
           </property>
          </spacer>
         </item>
         <item>
          <widget class="QToolButton" name="spawn_button">
           <property name="font">
            <font>
             <weight>75</weight>
             <bold>true</bold>
            </font>
           </property>
           <property name="text">
            <string>Spawn</string>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QToolButton" name="kill_button">
           <property name="text">
            <string>Kill</string>
           </property>
          </widget>
         </item>
        </layout>
       </item>
       <item>
        <widget class="Line" name="line">
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QGroupBox" name="groupBox">
         <property name="title">
          <string>Transponder</string>
         </property>
         <layout class="QFormLayout" name="formLayout">
          <item row="0" column="0">
           <widget class="QLabel" name="label">
            <property name="text">
             <string>Mode:</string>
            </property>
            <property name="buddy">
             <cstring>xpdrMode_select_0</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <layout class="QHBoxLayout" name="horizontalLayout">
            <item>
             <widget class="QRadioButton" name="xpdrMode_select_0">
              <property name="text">
               <string>0</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QRadioButton" name="xpdrMode_select_G">
              <property name="text">
               <string>G</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QRadioButton" name="xpdrMode_select_A">
              <property name="text">
               <string>A</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QRadioButton" name="xpdrMode_select_C">
              <property name="text">
               <string>C</string>
              </property>
              <property name="checked">
               <bool>false</bool>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QRadioButton" name="xpdrMode_select_S">
              <property name="text">
               <string>S</string>
              </property>
             </widget>
            </item>
           </layout>
          </item>
          <item row="1" column="0">
           <widget class="QLabel" name="label_2">
            <property name="text">
             <string>Code:</string>
            </property>
            <property name="buddy">
             <cstring>xpdrCode_select</cstring>
            </property>
           </widget>
          </item>
          <item row="1" column="1">
           <layout class="QHBoxLayout" name="horizontalLayout_7">
            <item>
             <widget class="XpdrCodeSelectorWidget" name="xpdrCode_select" native="true">
              <property name="focusPolicy">
               <enum>Qt::StrongFocus</enum>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QToolButton" name="pushSQtoStrip_button">
              <property name="text">
               <string>To strip</string>
              </property>
             </widget>
            </item>
           </layout>
          </item>
          <item row="2" column="0">
           <widget class="QLabel" name="label_3">
            <property name="text">
             <string>Options:</string>
            </property>
            <property name="buddy">
             <cstring>xpdrIdent_tickBox</cstring>
            </property>
           </widget>
          </item>
          <item row="2" column="1">
           <layout class="QHBoxLayout" name="horizontalLayout_4">
            <item>
             <widget class="QCheckBox" name="xpdrIdent_tickBox">
              <property name="text">
               <string>Ident</string>
              </property>
              <property name="checkable">
               <bool>true</bool>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QToolButton" name="squawkVFR_button">
              <property name="text">
               <string>VFR</string>
              </property>
             </widget>
            </item>
           </layout>
          </item>
         </layout>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab">
      <attribute name="title">
       <string>Neighbours</string>
      </attribute>
      <layout class="QGridLayout" name="gridLayout">
       <item row="0" column="0" colspan="2">
        <widget class="QComboBox" name="ATC_select">
         <property name="editable">
          <bool>true</bool>
         </property>
        </widget>
       </item>
       <item row="0" column="2">
        <widget class="QToolButton" name="addATC_button">
         <property name="text">
          <string>+</string>
         </property>
        </widget>
       </item>
       <item row="0" column="3">
        <widget class="QToolButton" name="removeATC_button">
         <property name="text">
          <string>-</string>
         </property>
        </widget>
       </item>
       <item row="1" column="0">
        <widget class="QCheckBox" name="frequency_tickBox">
         <property name="text">
          <string>Set frq:</string>
         </property>
        </widget>
       </item>
       <item row="1" column="1" colspan="3">
        <widget class="FrequencyPickCombo" name="frequency_select">
         <property name="enabled">
          <bool>false</bool>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab_2">
      <attribute name="title">
       <string>Weather</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout_3">
       <item>
        <widget class="QGroupBox" name="groupBox_2">
         <property name="title">
          <string>Wind</string>
         </property>
         <layout class="QVBoxLayout" name="verticalLayout_4">
          <item>
           <layout class="QGridLayout" name="gridLayout_3">
            <item row="2" column="0">
             <widget class="QRadioButton" name="windVRB_radioButton">
              <property name="text">
               <string>VRB</string>
              </property>
             </widget>
            </item>
            <item row="1" column="0">
             <widget class="QRadioButton" name="windHdg_radioButton">
              <property name="text">
               <string>###</string>
              </property>
             </widget>
            </item>
            <item row="0" column="0">
             <widget class="QRadioButton" name="windCalm_radioButton">
              <property name="text">
               <string>Calm</string>
              </property>
              <property name="checked">
               <bool>true</bool>
              </property>
             </widget>
            </item>
            <item row="0" column="1" rowspan="3">
             <widget class="QWidget" name="widget" native="true">
              <property name="enabled">
               <bool>false</bool>
              </property>
              <layout class="QGridLayout" name="gridLayout_2">
               <property name="margin">
                <number>0</number>
               </property>
               <item row="0" column="0" rowspan="2">
                <widget class="QDial" name="windHdg_dial">
                 <property name="toolTip">
                  <string>Select blowing direction</string>
                 </property>
                 <property name="minimum">
                  <number>0</number>
                 </property>
                 <property name="maximum">
                  <number>72</number>
                 </property>
                 <property name="singleStep">
                  <number>5</number>
                 </property>
                 <property name="value">
                  <number>36</number>
                 </property>
                 <property name="wrapping">
                  <bool>true</bool>
                 </property>
                 <property name="notchesVisible">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
               <item row="0" column="1">
                <widget class="QCheckBox" name="windHdgRange_enable">
                 <property name="text">
                  <string>+/-</string>
                 </property>
                </widget>
               </item>
               <item row="1" column="1">
                <widget class="QSpinBox" name="windHdgRange_edit">
                 <property name="enabled">
                  <bool>false</bool>
                 </property>
                 <property name="suffix">
                  <string>°</string>
                 </property>
                 <property name="minimum">
                  <number>10</number>
                 </property>
                 <property name="maximum">
                  <number>80</number>
                 </property>
                 <property name="singleStep">
                  <number>5</number>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
           </layout>
          </item>
          <item>
           <widget class="Line" name="line_4">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
           </widget>
          </item>
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_6">
            <item>
             <widget class="QWidget" name="widget_2" native="true">
              <property name="enabled">
               <bool>false</bool>
              </property>
              <layout class="QHBoxLayout" name="horizontalLayout_5">
               <property name="margin">
                <number>0</number>
               </property>
               <item>
                <widget class="QSpinBox" name="windSpeed_edit">
                 <property name="suffix">
                  <string> kt</string>
                 </property>
                 <property name="minimum">
                  <number>1</number>
                 </property>
                 <property name="maximum">
                  <number>50</number>
                 </property>
                 <property name="value">
                  <number>5</number>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QCheckBox" name="windGusts_enable">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>gusts</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QSpinBox" name="windGusts_edit">
                 <property name="enabled">
                  <bool>false</bool>
                 </property>
                 <property name="suffix">
                  <string> kt</string>
                 </property>
                 <property name="minimum">
                  <number>10</number>
                 </property>
                 <property name="value">
                  <number>15</number>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
            <item>
             <spacer name="horizontalSpacer">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
              <property name="sizeType">
               <enum>QSizePolicy::Fixed</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>10</width>
                <height>20</height>
               </size>
              </property>
             </spacer>
            </item>
            <item>
             <widget class="QToolButton" name="setWind_button">
              <property name="font">
               <font>
                <weight>75</weight>
                <bold>true</bold>
               </font>
              </property>
              <property name="text">
               <string>Set</string>
              </property>
             </widget>
            </item>
           </layout>
          </item>
         </layout>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab_3">
      <attribute name="title">
       <string>Snapshots</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout_5">
       <item>
        <widget class="QTableView" name="situationSnapshots_tableView">
         <property name="selectionMode">
          <enum>QAbstractItemView::SingleSelection</enum>
         </property>
         <property name="selectionBehavior">
          <enum>QAbstractItemView::SelectRows</enum>
         </property>
         <property name="horizontalScrollMode">
          <enum>QAbstractItemView::ScrollPerPixel</enum>
         </property>
         <attribute name="horizontalHeaderStretchLastSection">
          <bool>true</bool>
         </attribute>
         <attribute name="verticalHeaderVisible">
          <bool>false</bool>
         </attribute>
        </widget>
       </item>
       <item>
        <layout class="QHBoxLayout" name="horizontalLayout_3">
         <item>
          <widget class="QToolButton" name="snapshotSituation_button">
           <property name="text">
            <string>Snapshot current situation</string>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QToolButton" name="restoreSituation_button">
           <property name="text">
            <string>Restore</string>
           </property>
          </widget>
         </item>
         <item>
          <spacer name="horizontalSpacer_2">
           <property name="orientation">
            <enum>Qt::Horizontal</enum>
           </property>
           <property name="sizeHint" stdset="0">
            <size>
             <width>40</width>
             <height>20</height>
            </size>
           </property>
          </spacer>
         </item>
         <item>
          <widget class="QToolButton" name="removeSituation_button">
           <property name="text">
            <string>Remove</string>
           </property>
          </widget>
         </item>
        </layout>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
   <item>
    <widget class="QPushButton" name="pauseSim_button">
     <property name="text">
      <string>Pause session</string>
     </property>
     <property name="checkable">
      <bool>true</bool>
     </property>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>FrequencyPickCombo</class>
   <extends>QComboBox</extends>
   <header>GUI.widgets.miscWidgets</header>
  </customwidget>
  <customwidget>
   <class>XpdrCodeSelectorWidget</class>
   <extends>QWidget</extends>
   <header>GUI.widgets.miscWidgets</header>
   <container>1</container>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>tabs</tabstop>
  <tabstop>freezeACFT_button</tabstop>
  <tabstop>spawn_button</tabstop>
  <tabstop>kill_button</tabstop>
  <tabstop>xpdrMode_select_0</tabstop>
  <tabstop>xpdrMode_select_G</tabstop>
  <tabstop>xpdrMode_select_A</tabstop>
  <tabstop>xpdrMode_select_C</tabstop>
  <tabstop>xpdrMode_select_S</tabstop>
  <tabstop>xpdrCode_select</tabstop>
  <tabstop>pushSQtoStrip_button</tabstop>
  <tabstop>xpdrIdent_tickBox</tabstop>
  <tabstop>squawkVFR_button</tabstop>
  <tabstop>ATC_select</tabstop>
  <tabstop>addATC_button</tabstop>
  <tabstop>removeATC_button</tabstop>
  <tabstop>frequency_tickBox</tabstop>
  <tabstop>frequency_select</tabstop>
  <tabstop>windCalm_radioButton</tabstop>
  <tabstop>windHdg_radioButton</tabstop>
  <tabstop>windVRB_radioButton</tabstop>
  <tabstop>windHdg_dial</tabstop>
  <tabstop>windHdgRange_enable</tabstop>
  <tabstop>windHdgRange_edit</tabstop>
  <tabstop>windSpeed_edit</tabstop>
  <tabstop>windGusts_enable</tabstop>
  <tabstop>windGusts_edit</tabstop>
  <tabstop>setWind_button</tabstop>
  <tabstop>situationSnapshots_tableView</tabstop>
  <tabstop>snapshotSituation_button</tabstop>
  <tabstop>restoreSituation_button</tabstop>
  <tabstop>removeSituation_button</tabstop>
  <tabstop>pauseSim_button</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>frequency_tickBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>frequency_select</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>115</x>
     <y>186</y>
    </hint>
    <hint type="destinationlabel">
     <x>260</x>
     <y>188</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>frequency_tickBox</sender>
   <signal>toggled(bool)</signal>
   <receiver>frequency_select</receiver>
   <slot>setFocus()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>115</x>
     <y>186</y>
    </hint>
    <hint type="destinationlabel">
     <x>255</x>
     <y>188</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>windHdg_radioButton</sender>
   <signal>toggled(bool)</signal>
   <receiver>widget</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>70</x>
     <y>104</y>
    </hint>
    <hint type="destinationlabel">
     <x>111</x>
     <y>105</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>windHdgRange_enable</sender>
   <signal>toggled(bool)</signal>
   <receiver>windHdgRange_edit</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>234</x>
     <y>89</y>
    </hint>
    <hint type="destinationlabel">
     <x>233</x>
     <y>121</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>windHdgRange_enable</sender>
   <signal>toggled(bool)</signal>
   <receiver>windHdgRange_edit</receiver>
   <slot>setFocus()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>248</x>
     <y>90</y>
    </hint>
    <hint type="destinationlabel">
     <x>246</x>
     <y>122</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>windHdg_radioButton</sender>
   <signal>toggled(bool)</signal>
   <receiver>windHdg_dial</receiver>
   <slot>setFocus()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>77</x>
     <y>98</y>
    </hint>
    <hint type="destinationlabel">
     <x>143</x>
     <y>111</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>windGusts_enable</sender>
   <signal>toggled(bool)</signal>
   <receiver>windGusts_edit</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>131</x>
     <y>185</y>
    </hint>
    <hint type="destinationlabel">
     <x>165</x>
     <y>183</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>windGusts_enable</sender>
   <signal>toggled(bool)</signal>
   <receiver>windGusts_edit</receiver>
   <slot>setFocus()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>147</x>
     <y>194</y>
    </hint>
    <hint type="destinationlabel">
     <x>172</x>
     <y>195</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>windCalm_radioButton</sender>
   <signal>toggled(bool)</signal>
   <receiver>widget_2</receiver>
   <slot>setDisabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>69</x>
     <y>84</y>
    </hint>
    <hint type="destinationlabel">
     <x>106</x>
     <y>161</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
